11 Replies Latest reply on Apr 1, 2017 12:08 PM by snappercartier

    New upgrade to 6 from 4.4 crashes immediately. Why?

    snappercartier

      I have it working on a desktop PC but on my laptop, I get this every time. There is no sign of the stating pine forest image I see on the desk top machine. 4.4 still works well, apart from not seeing my camera when tethered, but that's another story!

      Any suggestions?

        • 1. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
          Per Berntsen Adobe Community Professional

          Try to disable the GPU (graphics processor). This is normally done in Preferences, but since LR doesn't launch, you will have to edit the preferences file manually.

          Use the File explorer, and go to C:\Users\Your user name\AppData\Roaming\Adobe\Lightroom\Preferences

          Open the file Lightroom 6 Preferences.agprefs in a text editor, like Notepad.

          Close to the end of the file there is a line that says useAutoBahn = true, - change this to useAutoBahn = false,

          Save and close the file. Now try to launch Lightroom.

           

          1 person found this helpful
          • 2. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
            snappercartier Level 1

            Thank you, Per for your suggestion. Unfortunately, that line was not in the file. Should I add it myself?

            Well, I added  useAutoBahn = false

            but it still crashed.

            • 3. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
              Per Berntsen Adobe Community Professional

              Could it be the that you accidentally opened the Lightroom 4 preferences file? It will be in the same folder, and does not contain the AutoBahn line, graphics processor support was introduced in LR6.

              If you're certain that you edited the LR6 file, and you're certain that the AutoBahn line is not there (did you search for it?), the file is probably corrupted, so you should delete it. Lightroom will create a new preferences file on the next launch.

              If LR still behaves the same way after deleting the preferences, open the prefs file again, and look for AutoBahn again. Be sure to include the comma - useAutoBahn = false,

               

              If you still have problems, I suggest that you download and install the 6.9 update (which you should do in any case).

              Here's a direct link to the update: http://swupdl.adobe.com/updates/oobe/aam20/win/AdobeLightroom-6.0/6.9/setup.zip

              If this doesn't fix it, open the prefs file again, and change the AutoBahn line.

              1 person found this helpful
              • 4. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                snappercartier Level 1

                Hi Per,

                I am sure it was the LR6 file I checked. In the preferences folder I could see LR6 and LR5 (which I had as a trial) and LR4 as well as a file named Lightroom 6 Startup Preferences.agprefs

                When trying to find the line with AutoBahn, I did try a search as well as scanning with my eyes, and I did include the comma when I entered the line myself.

                Following your more recent advice, I deleted the Preferences file and after attempting to open the program and seeing it crash immediately, I can see that the preferences file has not reappeared. In trying to open the program, I have always been asked to confirm that I want to have the catalogue upgraded. Is this ok to agree to?

                I have downloaded LR 6.9 and it is installing as I type. It is calling itself Lightroom CC (2015.9) / 9. As I am not subscribing to CC, should I be happy that I am entitled to this update?

                • 5. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                  Per Berntsen Adobe Community Professional

                  The base installer and the updates are identical for LR6 and LR CC.

                  If you activate by using a serial number, it becomes LR6, if you have a CC subscription, and sign in with your Adobe ID, it becomes LR CC, and this will also make certain features available that are not available in LR6. (like dehaze, guided upright and a few more)

                  Since you don't have CC, you have to activate using a serial number.

                   

                  You should agree to upgrading the catalog - LR6 needs to upgrade your old catalog, it will do this on a copy of the old catalog.

                  Catalogs are not backwards compatible, so you can't open a version 6 catalog in older versions.

                  So were you finally able to make LR6 work?

                  1 person found this helpful
                  • 6. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                    snappercartier Level 1

                    Thanks again, Per, all very useful information.

                    I am not there yet, as I think LR6 wasn't properly installed on my laptop, so I have downloaded again and it is installing as I type.

                    It seems curious to me that in certain parts of the Adobe site, the latest version of Lightroom available not in CC is 5.7.1

                    It was a surprise to me that 6.0 was available, and 6.9 was a further revelation. Is that the end of the line for non subscription cloud based Lightroom?

                    Once I am finally up and running, I will let you know.

                    Many thanks for taking so much trouble.

                    • 7. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                      snappercartier Level 1

                      Hi Per,

                      Error message following installation, unfortunately:

                       

                       

                      Exit Code: 6

                       

                      Please see specific errors below for troubleshooting. For example,  ERROR: DW003, DW071 ...

                       

                        

                       

                        

                       

                      -------------------------------------- Summary --------------------------------------

                       

                        

                       

                      - 0 fatal error(s), 6 error(s)

                       

                        

                       

                        

                       

                        

                       

                      ----------- Payload: Microsoft Visual C++ 2008 Redistributable Package (x64) 9.0.30729.5677 {512B6D21-18F9-11E2-93C1-00215AEA26C9} -----------

                       

                        

                       

                      ERROR: DW071:

                       

                        

                       

                      ERROR: DW003: Third party payload installer vcredist_x64.exe failed with exit code: 1638

                       

                        

                       

                      ERROR: Failed to install Microsoft Visual C++ 2008 Redistributable Package (x64). Please try installing it by double clicking on the executable at "C:\Users\ian_2.asus\Desktop\Adobe\Photoshop Lightroom 6.0\payloads\Microsoft VC 2008 Redist (x64)\vcredist_x64.exe", or download and install the latest Microsoft Visual C++ 2008 Redistributable Package (x64) from Microsoft website - www.microsoft.com

                       

                        

                       

                      ----------- Payload: Microsoft Visual C++ 2008 Redistributable Package (x86) 9.0.30729.5677 {539B5BB0-18F9-11E2-BBBC-00215AEA26C9} -----------

                       

                        

                       

                      ERROR: DW071:

                       

                        

                       

                      ERROR: DW003: Third party payload installer vcredist_x86.exe failed with exit code: 1638

                       

                        

                       

                      ERROR: Failed to install Microsoft Visual C++ 2008 Redistributable Package (x86). Please try installing it by double clicking on the executable at "C:\Users\ian_2.asus\Desktop\Adobe\Photoshop Lightroom 6.0\payloads\Microsoft VC 2008 Redist (x86)\vcredist_x86.exe", or download and install the latest Microsoft Visual C++ 2008 Redistributable Package (x86) from Microsoft website - www.microsoft.com

                       

                        

                       

                      -------------------------------------------------------------------------------------

                       

                      I have tried to do the last recommendation and it says it cannot proceed until another instance is removed. I have found 2 actually, and the first has been 'preparing to remove...' for ages. Is nothing straightforward?

                      • 9. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                        snappercartier Level 1

                        Hi John,

                        Thanks for the link. There are plenty of things there to try.

                        I have been trying the first one since before you gave me the link, but it got stuck uninstalling and has now got stuck trying to cancel the uninstallation.

                        So frustrating!

                        • 10. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                          snappercartier Level 1

                          Well, I have re-installed without any error messages (thanks for the link, John. The first solution worked); checked for the AutoBahn file, which wasn't there. I have added the line as above, changing 'true' to 'false', but the same message as at the very beginning of this thread has appeared and Lightroom 6 has failed to launch. I have yet to try installing the 6.9 update. That's what I shall do next, so fingers crossed.

                          • 11. Re: New upgrade to 6 from 4.4 crashes immediately. Why?
                            snappercartier Level 1

                            Cracked it!

                            It was in the upgrading of the catalogue.

                            You should not go with the default, but to choose another. I selected a file with Lightroom 6 as its name.

                             

                            Another bonus, which was got me thinking about upgrading in the first place, my laptop now recognises my Nikon D300S camera which it refused to do before with 4.4 or 5.7.1

                             

                            Many thanks, Per and John. I am learning constantly, and you have been very helpful.